List icons in a collection
curl --request GET \
--url https://pictum.dev/v1/icons/collections/{prefix}.jsonimport requests
url = "https://pictum.dev/v1/icons/collections/{prefix}.json"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://pictum.dev/v1/icons/collections/{prefix}.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prefix": "<string>",
"total": 1,
"title": "<string>",
"uncategorized": [
"<string>"
],
"categories": {},
"hidden": [
"<string>"
],
"aliases": {},
"info": {},
"lastModified": 123
}{
"message": "<string>"
}{
"message": "<string>"
}List icons in a collection
Return visible, categorized, hidden, and alias icon names without SVG bodies.
GET
/
v1
/
icons
/
collections
/
{prefix}
.json
List icons in a collection
Path Parameters
Lowercase kebab-case icon collection prefix.
Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$⌘I